import request from '@/utils/request'
import {smart} from '@/api/commonApi'
// 仓房基本信息配置

// 仓房基本信息；列表
export function getHouseInfoList(data) {
  return request({
    url: smart + `/house-info/authority/getHousePage`,
    method: 'POST',
    data
  })
}
// 仓房基本信息；删除
export function deleteHouseInfoItem(id) {
  return request({
    url: smart + `/house-info/authority/deleteById/${id}`,
    method: 'get',
  })
}

// 仓房基本信息；新增
export function addHouseInfoItem(data) {
  return request({
    url: smart + `/house-info/authority/save`,
    method: 'post',
    data,
  })
}
// 仓房基本信息；更 新
export function updateHouseInfoItem(data) {
  return request({
    url: smart + `/house-info/authority/update`,
    method: 'post',
    data,
  })
}